Package net.rubygrapefruit.platform.internal

# Class DefaultMemory

java.lang.Object
net.rubygrapefruit.platform.internal.DefaultMemory

All Implemented Interfaces:
  `Memory`, `NativeIntegration`

public class DefaultMemory extends Object implements Memory

## Constructor Summary

Constructors
Constructor
Description
`DefaultMemory()`

## Method Summary

Modifier and Type
Method
Description
`MemoryInfo`
`getMemoryInfo()`
Queries the current state of the system memory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultMemory

public DefaultMemory()

## Method Details

### getMemoryInfo

public MemoryInfo getMemoryInfo()
Description copied from interface: `Memory`
Queries the current state of the system memory.

Specified by:
  `getMemoryInfo` in interface `Memory`